10.04.2018
Добавлена поддержка свойства "формат" элемента "прибор_цифровой2"

Добавлена поддержка свойств выравниваний элемента "текст"


03.04.2018
При обновлении требуется обновить дистрибутив HTTP-шлюза
Обновление файлов веб-клиента (каталог dist/) не требуется

Добавлена возможность разграничения прав доступа к схемам при авторизации пользователей
Для этого в каталоге schemes/ создается текстовый файл _useraccess.txt
В файле указываются имена пользователей и схемы (либо каталоги, если название заканчивается на символ / ), к которым они имеют доступ
Примерн содержания файла _useraccess.txt:
@ivanov
Бор
Восток
@alexeid
Бор
Восток
5-1/Казым
Архив/Buryatenergo/Новая
Архив/Enservico/

Тогда пользователю ivanov будут доступны только две схемы в корне папки schemes/
Пользователю alexeid будут доступны две схемы в корне папки schemes/, две схемы из подкаталогов 5-1/ и Архив/Buryatenergo/, а также все схемы из подкаталога Архив/Enservico/
Всем остальным пользователям по умолчанию доступны все схемы

Обратите внимание, содержимое файла _useraccess.txt загружается единоразово при запуске HTTP-шлюза
В случае внесения каких-то изменений в файл, потребуется перезапустить программу, чтобы изменения вступили в силу


13.02.2018
При обновлении требуется обновить дистрибутив HTTP-шлюза

Добавлена поддержка импульс-архива при отображении графиков измерений

Удалена поддержка ретроспектив из SQL-базы


31.10.2017
При обновлении требуется обновить дистрибутив HTTP-шлюза

Переделана система сборки, лучше обрабатывается кэширование статических файлов в браузерах, легче обновлять веб-клиент в дальнейшем
Особенности перехода с предыдущих версий:
- оставить в каталоге веб-клиента папки schemes/ и templates/, они содержат ваши схемы и шаблоны/бланки переключений
- удалить все остальное содержимое, взамен скопировать папку dist/ из каталога поставки, он содержит функционал веб-клиента
- ВНИМАНИЕ! Если вы использовали функционал отображения собственных изображений, то следует предварительно скопировать каталог с изображениями, после установки каталога dist/ внутрь него вернуть каталог с изображениями. При дальнейших обновлениях потребуется повторить данный шаг, либо воспользоваться другим Веб-сервером для хранения изображений
- ВНИМАНИЕ! Если вы разделяли настройки по пользователям с помощью нескольких файлов index.html. Данный функционал теперь не рекомендован к использованию, хотя вы можете вручную добавлять требуемые настройки в множественные файлы после каждого обновления веб-клиента

Исправлена ошибка с навигацией по схемам в некоторых версиях Chrome на ОС Android

Обновлены системные библиотеки jQuery, moment.js, hammer.js


12.10.2017
Прекращена поддержка браузера Internet Explorer 9, минимальная версия - 11


04.08.2017
При обновлении требуется обновить дистрибутив HTTP-шлюза

Прекращена работа (и удалены текущие наработки) над географической картой, в связи с появлением полнофункционального варианта у партнерской организации


17.05.2017
При обновлении требуется обновить дистрибутив HTTP-шлюза

Подготовка к использованию географической карты в Веб-клиенте, с привязанными метками и полями, пример на сайте "НТК Интерфейс"

Исправление ошибок


27.03.2017
При обновлении требуется обновить дистрибутив HTTP-шлюза

Исправлена ошибка - некорректно отображались многостраничные схемы


13.02.2017
ARIS Web Client теперь именуется как "Веб-клиент ОИК Диспетчер НТ"

При обновлении требуется обновить дистрибутивы всех программ (HTTP-шлюз, конвертор схем, автоматическая выгрузка схем из базы ОИК). Соблюдайте внимательность при обновлении, изменились названия программ

HTTP-шлюз, как и Веб-клиент в целом теперь можно использовать не только в Windows, но и в Linux Intel x64, не зависимо от того, где установлен сервер "ОИК Диспетчер НТ". Подробности приведены в документации


14.12.2016
Исправлена ошибка отображения фона текстов и меток в некоторых случаях

Новый объект Модуса:
- присоединение (базовая реализация)


08.12.2016
Добавлена опция масштаба схем по умолчанию

Добавлена опция центрирования схем после размещения по ширине/высоте окна

Добавлена возможность задания вызова произвольных javascript-функций по нажатию на текст/метку/ячейку таблицы. Для этого в свойствах элемента Модуса указывается ключ привязки вида:
->js://fn_name
где fn_name - имя функции. Если функция не объявлена в коде, появится сообщение об ошибке.


05.12.2016
Новый объект Модуса:
- автоматика (аналог табло)


01.12.2016
Новый объект Модуса:
- прибор_цифровой (наследие Модус4)

Небольшие изменения дизайна


31.08.2016
При обновлении требуется обновить дистрибутив HTTP-шлюза

Добавлены настройки шлюза для задания резервного сервера: /backupserver=... и /backuptms=...


21.07.2016
Добавлена возможность задавать ссылки на произвольную web-страницу в схеме Модус, для этого в ключе привязки текста, метки или ячейки таблицы указывается значение:
->http://адрес_страницы

Добавлена возможность отображать изображения в схеме Модус, для этого на схеме размещается элемент прямоугольник, для него в назначении привязки указывается идентификатор типа:
image|http://адрес_изображения
либо
image-stretch|http://адрес_изображения
В первом случае изображение будет размещено в левом верхнем углу прямоугольника. Во втором - изображение будет растянуто на всю площадь прямоугольника (без сохранения пропорций).
Допускается размещение файлов-изображений непосредственно в веб-клиенте. Для этого в корне рабочего каталога следует создать отдельный каталог (например, myimages), в котором и размещать файлы. При этом следует использовать следующие идентификаторы в назначении привязки:
image|/myimages/pic1.jpg
либо
image-strech|/myimages/pic2.png


14.06.2016
Исправление ошибки с воспроизведением звука всплывающих окон

Обновление системной библиотеки jQuery до версии 3.0


08.06.2016
При обновлении требуется обновить дистрибутив HTTP-шлюза

Добавлена настройка фона измерений в зависимости от выхода за уставку

Новые объекты Модуса:
- насос;
- задвижка;
- клапан.
Для технологического оборудования добавлена настройка цвета элементов.

Исправление ошибок:
- некорректная работа в одном браузере с двумя серверами одновременно
- не работа левая кнопка мыши на измерениях в таблице
- некорретные цвета текстов и меток в некоторых ситуациях
- некорретное масштабирование некоторых элементов



29.04.2016
Небольшие изменения дизайна


27.04.2016
При нажатии кнопки назад в браузере теперь закрывается всплывающее окно, а не происходит переход на предыдущую страницу


25.04.2016
При обновлении требуется обновить дистрибутив HTTP-шлюза

Добавлена возможность ручного выбора периода ретроспективы ТИТ, при этом старый механизм перемещения по заданным периодам сохранен без изменений

Упрощен механизм выбора периода времени (для ретроспективы ТИТ и архива событий)

В журнале тревог разделены взведенные АПС и снятые неквитированные

Улучшение отображения графиков ТИТ в определенных ситуациях

Текстовые сообщения поверх экрана теперь не мешают взаимодействию со схемой/другими страницами

Небольшие изменения дизайна


11.04.2016
При обновлении требуется обновить дистрибутив HTTP-шлюза

Реализован функционал журнала тревог:
- список активных АПС;
- список ТИТ, вышедших за уставки;
- список ТС и ТИТ, установленных вручную;
- список ТС с отклонением от нормального режима.

Исправлена ошибка - не работала настройка схемы, открываемой по умолчанию


25.03.2016
Модернизация вывода звука при появлении события и при открывании модального окна


17.03.2016
При обновлении требуется обновить дистрибутив HTTP-шлюза

Для повышения быстродействия полностью отменена поддержка браузера Internet Explorer версии 8 и ниже (версии 9 и выше полностью поддерживаются).
Для пользователей, обновляющихся со старой версии, по умолчанию при открытии страницы в данном браузере будет отображаться пустое окно. Для отображения предупреждения следует обновить файл "index.html" из каталога поставки "first_install" - с учетом возможного предыдущего изменения параметров (см. раздел 3.3.1 документации).

Добавлена поддержка данных ретроспективы из SQL-базы: мгновенные значение, средние значения и средние с минимальными/максимальными значениями

Для просмотра ретроспектив кроме графиков теперь доступна табличная форма, с возможностью сортировки по времени и значению

Изменения дизайна + серьезная оптимизация отображения на декстопных и мобильных устройствах

Более корректное отображение наименований состояний ТС: с учетом классов

Коррекция отображения некоторых элементов Модус на схемах

Исправление ошибки с отображением флагов ТС: обрыв, неисправность, промежуточное

Обновление библиотек jQuery, Hammer, Moment, ContextMenu, AnyTime


22.01.2016
Добавлены два стиля отображения выключателей на схемах


05.08.2015
Серьезно переработан HTTP-шлюз - требуется обновление дистрибутива

Добавлена поддержка телеуправления - требуется добавить аргумент /tu=1 при запуске шлюза для разрешения команд ТУ

Добавлена поддержка безопасного протокола SSL, для использования требуется указать шлюзу HTTPS-порт и файл с ключом-сертификатом

Переработан механизм авторизации - вместо создания списка пользователей путем утилиты, используется авторизация непосредственно на сервере ARIS SCADA, не требующая дополнительной настройки. При входе пользователь в зависимости от настроек безопасности сервера должен либо указать логин и пароль на сервере (аналогично клиенту ARIS SCADA), либо доменные логин и пароль. Права доступа определяются на вкладке "Безопасность" сервера динамических данных (TMS).

Добавлена возможность редактирования настроек комплекса непосредственно из браузера - с помощью инструмента "settings.html"

Оптимизация отображения на мобильных устройствах

Исправление ошибок

Обновление библиотек Hammer, Moment, AnyTime


19.03.2015
Поддержка перехода на страницы через ячейки таблицы

Исправлена ошибка - не работал ряд переменных


12.03.2015
При обновлении требуется обновить дистрибутив HTTP-шлюза

Исправление ошибки - некорретно работал запрос текущих данных для сервера с датой компоновки ранее сентября 2013 года

Небольшие изменения дизайна


10.12.2014
При обновлении требуется обновить дистрибутив HTTP-шлюза.

Новый объект Модуса:
- силовой_автомат.

Использование топологической модели сервера для отображения обесточенных и заземленных устройств.


13.11.2014
При обновлении требуется обновить дистрибутив HTTP-шлюза.

В базе данных телеметрии, а также в шаблонах отображения теперь отображается последнее время изменения параметров.

На схемах корректно отображаются коммутационные аппараты при взведенных флагах "Обрыв", "Неисправность" и "Промежуточное состояние"


05.11.2014
При обновлении требуется обновить дистрибутив HTTP-шлюза.

В базе данных телеметрии отображаются единицы измерения для измерений (текущих и интегральных).

В базе данных телеметрии, а также в шаблонах отображения доступно контекстное меню для сигналов и измерений (аналогично коммутационным аппаратам и измерениям на оперативных схемах).

Оптимизация работы.


11.08.2014
При обновлении требуется обновить дистрибутив HTTP-шлюза.

Оптимизация работы.


12.05.2014
При обновлении требуется обновить дистрибутив HTTP-шлюза.

Оптимизация отрисовки и масштабирования схем.

Доработки бланков переключений.


24.04.2014
Изменения бланков переключений:
- отображается время начала и окончания работы;
- запрашиваются фамилии выполняющего и контролирующего работу;
- записываются логи работы;
- доступен инструмент "templates_editor.html" для удобного редактирования бланков.
При обновлении требуется обновить дистрибутив HTTP-шлюза.
Дополнительно потребуется создать папку "switch-log" в директории "templates" веб-клиента или скопировать её из папки "first_install" дистрибутива.

Добавлены настройки для возможности отдельного запрета ручной установки сигналов, измерений и квитирования сигналов.

Различные доработки под мобильные устройства.



12.12.2013
Новый механизм навигации по схемам и событиям - вместо кнопок теперь слайдеры по краям экрана.

Корректная обработка отсутствия поддержки событий устаревших версий сервера.


03.12.2013
Эволюция IP-шлюза в HTTP-шлюз привела к новой схеме работы клиента.
Теперь не требуется установка веб-сервера, эту роль на себя берет шлюз. Для начала работы клиента достаточно установить и настроить шлюз, а также скопировать файлы клиента в заданную директорию.

Веб-клиент теперь является отдельным параметром лицензирования ARIS SCADA.
При отсутствии разрешения программа HTTP-шлюз не будет запускаться.
Реализован режим ознакомления (запуск HTTP-шлюза с аргументом /demo=1 ). При этом программа запустится и без соответствующей лицензии, функционал не ограничивается, но в логах сервера и при выводе данных отображаются предупреждения о необходимости расширения лицензии.

Реализация нового функционала клиента:
- шаблоны отображения;
- бланки переключений;
- авторизация клиентов с разграничением прав.

Всплывающее оповещение о возникновении новых событий в верхней части страницы.

Звуковое сопровождение при появлении неквитированных событий и во время работы с бланком переключений (в поддерживаемых браузерах).

Ключ для выполнения команд теперь всегда состоит только из цифр, в клиенте вводится в форме пин-кода.

Улучшение навигации по базе данных телеметрии.
Просмотр истории переключений сигналов из базы данных телеметрии.

Возможность открытия ретроспектив/базы данных телеметрии в новом окне.

Всплывающие подсказки графика ретроспективы при наведении - с точным значением и временем.

Новые объекты Модуса:
- круг;
- развилка (все подтипы);
- табло.

Изменения объектов Модуса:
- реализована поддержка отображения диспетчерских подписей элементов;
- текст - исправлена ошибка при задании масштабов 6 и 7;
- точка - добавлен подтип "опора";
- муфта - добавлены подтипы;
- БСК - добавлены подтипы;
- точка - исправлено масштабирование;
- цифровой_прибор, текст, надпись, таблица - в некоторых ситуациях мог некорректно отображаться цвет измерений;
- прямоугольник, круг, контейер - в некоторых ситуациях мог некорректно отображаться цвет границ;
- лампа - в некоторых ситуациях мог некорректно отображаться цвет.

Доступно приложение "ExtractSchemes.exe" для автоматической выгрузки схем из базы сервера.

Дополнительная адаптация под планшеты на Android и iOs.

Обновление системной библиотеки jQuery до версии 1.9.1.
Обновление библиотек Hammer, ContextMenu, jQuery.flot.


26.06.2013
Исправлена ошибка - не работала переменная схемы по умолчанию.


11.06.2013
Улучшена поддержка Модуса 5.20.50 и выше:
- исправлено смещение текстовых элементов;
- исправлено некорректное отображение цвета текстов/меток/прямоугольников в ряде ситуаций.


05.06.2013
Изменения объектов Модуса:
- добавлена поддержка свойства угла поворота элемента (в Модусе 5.20.50 и выше);
- прямоугольник - исправлен приоритет, больше не перекрывает шины и ошиновки;
- прямоугольник - поддержка подписи объекта, если подпись расположена по центру.


20.03.2013
При обновлении требуется обновить дистрибутив IP-шлюза.

Отображение наименования и единицы измерения при просмотре ретроспективы измерения.

Загрузка и отображение единиц измерения с сервера при просмотре схемы без необходимости задания единицы в свойстве "назначение_привязки" в Модусе. В то же время свойство продолжает работать и является приоритетным при отображении.

Устранена необходимость использования только кириллицы/латиницы в именах файлов-схем, теперь возможно любое чередование.

Новые объекты Модуса:
- бустер;
- электроопора.

Изменения объектов Модуса:
- текст, метка - более корректное отображение при повороте элемента;
- стрелка - корректное отображение стрелки при непрямом угле, исправление ошибки с толщиной линии;
- связь_с_объектом - корректное отображение стрелки при непрямом угле;
- трансформаторы - исправлена ошибка отображения при зеркальном отражении;
- таблица - добавлена поддержка слияния ячеек.

Исправление отрисовки ряда объектов при нестандартных свойствах.


14.03.2013
При обновлении требуется обновить дистрибутив IP-шлюза.

Автоматический расчет размеров страницы - больше не требуется пересохранять схемы после открытия вкладки свойств схемы.

Отображение наименования сигнала/измерения при наведении курсора на схеме.
Отображение наименования сигнала/измерения при просмотре ретроспективы.

Изменения объектов Модуса:
- поддержка свойства рамки схемы;
- поддержка задания цвета объекта классом напряжения (для линии, текста и т.п.);
- небольшие исправления нестандартных комбинаций свойств.

Оптимизация скорости работы конвертора.


06.03.2013
Поддержка новых объектов Модуса:
- "таблица" (требуется обновление конвертора ariswebjson.exe)


04.03.2013
Новая версия конвертора XSDE-схем модуса, при обновлении требуется обновить дистрибутив.
Свойство "preconvertSchemesToJson" устарело, теперь схемы автоматически преобразуются в формат JSON.

Поддержка новых объектов Модуса:
- "стрелка" - одиночная и двойная;
- "КТП" с подтипами "КТП", "МТП", "КТП2" и "РП";
- "ЗТП".

Небольшие исправления существующих объектов с нетипичными свойствами.


20.02.2012
Новый протокол общения с IP-шлюзом, при обновлении требуется обновить дистрибутив шлюза.

Добавлена поддержка просмотра базы данных телеметрии.

Добавлена поддержка контекстного меню для коммутационных аппаратов и измерений схемы. Реализованы команды:
- копирование адреса параметра в буфер обмена;
- ручное переключение сигнала;
- квитирование сигнала;
- ретроспектива переключений сигнала;
- ручная установка значения измерения.


25.09.2012
Внедрена поддержка телеизмерений интегральных (ТИИ). Доступные объекты Модуса для привязки аналогичны измерениям: "прибор_цифровой2", "текст" и "метка". Ключи привязки:
- #TI1.1.1 - нагрузка (прирост количества импульсов за интервал - приведенная мощность);
- #PU1.1.1 - значение (накопленное количество импульсов - потребление энергии).
Для поддержки данного изменения потребуется обновить дистрибутив IP-шлюза.

Новая javascript-опция: "COLOR_BACKGROUND_MODUS" - цвет фона схем Модуса по умолчанию.


21.09.2012
Поддержка новых объектов Модуса:
- "предохранитель_на_тележке";
- "БСК".

Изменения объектов Модуса:
- "воздушная_линия" и "кабельная_линия" - отображение приведено в соответствие с Модусом.

Новая javascript-опция: "COLOR_UNDEFINED_VOLTAGE" - цвет объектов с неуказанным классом напряжения. По умолчанию задано пустое значение, при котором такие объекты будут окрашиваться цветом, который является инвертированным к фону схемы.

Если в Модусе не задан фон схемы (по умолчанию оставлен белым), то и в клиенте фон будет белым.

Исправлена ошибка с отображением элементов внутри контейнера.


19.09.2012
Поддержка новых объектов Модуса:
- "разъединитель_выдвижной";
- "отделитель_выдвижной";
- "выключатель_нагрузки", отображается как обычный силовой выключатель;
- "контейнер";
- "двигатель" - подтипы: синхронный, асинхронный, постоянного тока;
- "шасси" (ячейка КРУ без оборудования).

Изменения объектов Модуса:
- "реактор" - добавлен подтип сдвоенного реактора;
- "разрядник" - добавлены подтипы: вентильный, шаровой, дуговой, искровой промежуток.

Исправлена ошибка, приводящая к ошибке на схемах без заданных классов напряжения.

Исправление мелких недочетов в отображении элементов и схемы в целом.


17.09.2012
Поддержка схем Модуса версии 5.2.

Поддержка новых объектов Модуса:
- "воздушная_линия";
- "кабельная_линия".

Изменения объектов Модуса:
- "трансформатор_напряжения" - поддерживается четырехобмоточный ТН, появившийся в Модусе 5.2;
- "метка" - исправлена ошибка с неотображением фона.

Изменение внутренней структуры и внешнего вида всплывающих окон (список схем, графики ТИ, события).

Обновление системной библиотеки jQuery до версии 1.8.1 - ускорение работы клиента.